ApiHive3ReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationArguments
      extends Object

  Replication Arguments for Hive3 schedules / policies

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationArguments` | `atlasReplication(Boolean atlasReplication)`
    `ApiHive3ReplicationArguments` | `bandwidthPerMap(BigDecimal bandwidthPerMap)`
    `ApiHive3ReplicationArguments` | `cloudArgs(ApiHive3CloudArguments cloudArgs)`
    `ApiHive3ReplicationArguments` | `distcpOnTarget(Boolean distcpOnTarget)`
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationArguments` | `excludeSource(Boolean excludeSource)`
    `ApiHive3ReplicationArguments` | `excludeTarget(Boolean excludeTarget)`
    `ApiHive3ReplicationArguments` | `externalTableBaseDir(String externalTableBaseDir)`
    `ApiHive3ReplicationArguments` | `externalTableReplication(Boolean externalTableReplication)`
    `ApiHive3ReplicationArguments` | `failoverStatus(String failoverStatus)`
    `BigDecimal` | `getBandwidthPerMap()` Get bandwidthPerMap
    `ApiHive3CloudArguments` | `getCloudArgs()` Get cloudArgs
    `String` | `getExternalTableBaseDir()` Get externalTableBaseDir
    `String` | `getFailoverStatus()` Get failoverStatus
    `String` | `getHiveOp()` Get hiveOp
    `String` | `getHiveUpdateOp()` Get hiveUpdateOp
    `BigDecimal` | `getNumMaps()` Get numMaps
    `String` | `getPolicyName()` Get policyName
    `Map<String,String>` | `getPolicyOptions()` Get policyOptions
    `String` | `getRemoteDbParams()` Get remoteDbParams
    `String` | `getRunAs()` Get runAs
    `String` | `getScheduleClause()` Get scheduleClause
    `String` | `getSourceDbName()` Get sourceDbName
    `ApiServiceRef` | `getSourceHiveService()` Get sourceHiveService
    `PolicyStatus` | `getStatus()` Get status
    `String` | `getTargetDbName()` Get targetDbName
    `int` | `hashCode()`
    `ApiHive3ReplicationArguments` | `hiveOp(String hiveOp)`
    `ApiHive3ReplicationArguments` | `hiveUpdateOp(String hiveUpdateOp)`
    `Boolean` | `isAtlasReplication()` Get atlasReplication
    `Boolean` | `isDistcpOnTarget()` Get distcpOnTarget
    `Boolean` | `isExcludeSource()` Get excludeSource
    `Boolean` | `isExcludeTarget()` Get excludeTarget
    `Boolean` | `isExternalTableReplication()` Get externalTableReplication
    `Boolean` | `isRangerReplication()` Get rangerReplication
    `ApiHive3ReplicationArguments` | `numMaps(BigDecimal numMaps)`
    `ApiHive3ReplicationArguments` | `policyName(String policyName)`
    `ApiHive3ReplicationArguments` | `policyOptions(Map<String,String> policyOptions)`
    `ApiHive3ReplicationArguments` | `putPolicyOptionsItem(String key, String policyOptionsItem)`
    `ApiHive3ReplicationArguments` | `rangerReplication(Boolean rangerReplication)`
    `ApiHive3ReplicationArguments` | `remoteDbParams(String remoteDbParams)`
    `ApiHive3ReplicationArguments` | `runAs(String runAs)`
    `ApiHive3ReplicationArguments` | `scheduleClause(String scheduleClause)`
    `void` | `setAtlasReplication(Boolean atlasReplication)`
    `void` | `setBandwidthPerMap(BigDecimal bandwidthPerMap)`
    `void` | `setCloudArgs(ApiHive3CloudArguments cloudArgs)`
    `void` | `setDistcpOnTarget(Boolean distcpOnTarget)`
    `void` | `setExcludeSource(Boolean excludeSource)`
    `void` | `setExcludeTarget(Boolean excludeTarget)`
    `void` | `setExternalTableBaseDir(String externalTableBaseDir)`
    `void` | `setExternalTableReplication(Boolean externalTableReplication)`
    `void` | `setFailoverStatus(String failoverStatus)`
    `void` | `setHiveOp(String hiveOp)`
    `void` | `setHiveUpdateOp(String hiveUpdateOp)`
    `void` | `setNumMaps(BigDecimal numMaps)`
    `void` | `setPolicyName(String policyName)`
    `void` | `setPolicyOptions(Map<String,String> policyOptions)`
    `void` | `setRangerReplication(Boolean rangerReplication)`
    `void` | `setRemoteDbParams(String remoteDbParams)`
    `void` | `setRunAs(String runAs)`
    `void` | `setScheduleClause(String scheduleClause)`
    `void` | `setSourceDbName(String sourceDbName)`
    `void` | `setSourceHiveService(ApiServiceRef sourceHiveService)`
    `void` | `setStatus(PolicyStatus status)`
    `void` | `setTargetDbName(String targetDbName)`
    `ApiHive3ReplicationArguments` | `sourceDbName(String sourceDbName)`
    `ApiHive3ReplicationArguments` | `sourceHiveService(ApiServiceRef sourceHiveService)`
    `ApiHive3ReplicationArguments` | `status(PolicyStatus status)`
    `ApiHive3ReplicationArguments` | `targetDbName(String targetDbName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationArguments

          public ApiHive3ReplicationArguments()

  - ### Method Detail

    - #### sourceHiveService

          public ApiHive3ReplicationArguments sourceHiveService(ApiServiceRef sourceHiveService)

    - #### getSourceHiveService

          public ApiServiceRef getSourceHiveService()

      Get sourceHiveService
      Returns:
        sourceHiveService

    - #### setSourceHiveService

          public void setSourceHiveService(ApiServiceRef sourceHiveService)

    - #### status

          public ApiHive3ReplicationArguments status(PolicyStatus status)

    - #### getStatus

          public PolicyStatus getStatus()

      Get status
      Returns:
        status

    - #### setStatus

          public void setStatus(PolicyStatus status)

    - #### rangerReplication

          public ApiHive3ReplicationArguments rangerReplication(Boolean rangerReplication)

    - #### isRangerReplication

          public Boolean isRangerReplication()

      Get rangerReplication
      Returns:
        rangerReplication

    - #### setRangerReplication

          public void setRangerReplication(Boolean rangerReplication)

    - #### atlasReplication

          public ApiHive3ReplicationArguments atlasReplication(Boolean atlasReplication)

    - #### isAtlasReplication

          public Boolean isAtlasReplication()

      Get atlasReplication
      Returns:
        atlasReplication

    - #### setAtlasReplication

          public void setAtlasReplication(Boolean atlasReplication)

    - #### externalTableReplication

          public ApiHive3ReplicationArguments externalTableReplication(Boolean externalTableReplication)

    - #### isExternalTableReplication

          public Boolean isExternalTableReplication()

      Get externalTableReplication
      Returns:
        externalTableReplication

    - #### setExternalTableReplication

          public void setExternalTableReplication(Boolean externalTableReplication)

    - #### externalTableBaseDir

          public ApiHive3ReplicationArguments externalTableBaseDir(String externalTableBaseDir)

    - #### getExternalTableBaseDir

          public String getExternalTableBaseDir()

      Get externalTableBaseDir
      Returns:
        externalTableBaseDir

    - #### setExternalTableBaseDir

          public void setExternalTableBaseDir(String externalTableBaseDir)

    - #### distcpOnTarget

          public ApiHive3ReplicationArguments distcpOnTarget(Boolean distcpOnTarget)

    - #### isDistcpOnTarget

          public Boolean isDistcpOnTarget()

      Get distcpOnTarget
      Returns:
        distcpOnTarget

    - #### setDistcpOnTarget

          public void setDistcpOnTarget(Boolean distcpOnTarget)

    - #### numMaps

          public ApiHive3ReplicationArguments numMaps(BigDecimal numMaps)

    - #### getNumMaps

          public BigDecimal getNumMaps()

      Get numMaps
      Returns:
        numMaps

    - #### setNumMaps

          public void setNumMaps(BigDecimal numMaps)

    - #### bandwidthPerMap

          public ApiHive3ReplicationArguments bandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### getBandwidthPerMap

          public BigDecimal getBandwidthPerMap()

      Get bandwidthPerMap
      Returns:
        bandwidthPerMap

    - #### setBandwidthPerMap

          public void setBandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### policyOptions

          public ApiHive3ReplicationArguments policyOptions(Map<String,String> policyOptions)

    - #### putPolicyOptionsItem

          public ApiHive3ReplicationArguments putPolicyOptionsItem(String key,
                                                                   String policyOptionsItem)

    - #### getPolicyOptions

          public Map<String,String> getPolicyOptions()

      Get policyOptions
      Returns:
        policyOptions

    - #### setPolicyOptions

          public void setPolicyOptions(Map<String,String> policyOptions)

    - #### sourceDbName

          public ApiHive3ReplicationArguments sourceDbName(String sourceDbName)

    - #### getSourceDbName

          public String getSourceDbName()

      Get sourceDbName
      Returns:
        sourceDbName

    - #### setSourceDbName

          public void setSourceDbName(String sourceDbName)

    - #### targetDbName

          public ApiHive3ReplicationArguments targetDbName(String targetDbName)

    - #### getTargetDbName

          public String getTargetDbName()

      Get targetDbName
      Returns:
        targetDbName

    - #### setTargetDbName

          public void setTargetDbName(String targetDbName)

    - #### policyName

          public ApiHive3ReplicationArguments policyName(String policyName)

    - #### getPolicyName

          public String getPolicyName()

      Get policyName
      Returns:
        policyName

    - #### setPolicyName

          public void setPolicyName(String policyName)

    - #### scheduleClause

          public ApiHive3ReplicationArguments scheduleClause(String scheduleClause)

    - #### getScheduleClause

          public String getScheduleClause()

      Get scheduleClause
      Returns:
        scheduleClause

    - #### setScheduleClause

          public void setScheduleClause(String scheduleClause)

    - #### runAs

          public ApiHive3ReplicationArguments runAs(String runAs)

    - #### getRunAs

          public String getRunAs()

      Get runAs
      Returns:
        runAs

    - #### setRunAs

          public void setRunAs(String runAs)

    - #### hiveOp

          public ApiHive3ReplicationArguments hiveOp(String hiveOp)

    - #### getHiveOp

          public String getHiveOp()

      Get hiveOp
      Returns:
        hiveOp

    - #### setHiveOp

          public void setHiveOp(String hiveOp)

    - #### hiveUpdateOp

          public ApiHive3ReplicationArguments hiveUpdateOp(String hiveUpdateOp)

    - #### getHiveUpdateOp

          public String getHiveUpdateOp()

      Get hiveUpdateOp
      Returns:
        hiveUpdateOp

    - #### setHiveUpdateOp

          public void setHiveUpdateOp(String hiveUpdateOp)

    - #### excludeSource

          public ApiHive3ReplicationArguments excludeSource(Boolean excludeSource)

    - #### isExcludeSource

          public Boolean isExcludeSource()

      Get excludeSource
      Returns:
        excludeSource

    - #### setExcludeSource

          public void setExcludeSource(Boolean excludeSource)

    - #### excludeTarget

          public ApiHive3ReplicationArguments excludeTarget(Boolean excludeTarget)

    - #### isExcludeTarget

          public Boolean isExcludeTarget()

      Get excludeTarget
      Returns:
        excludeTarget

    - #### setExcludeTarget

          public void setExcludeTarget(Boolean excludeTarget)

    - #### failoverStatus

          public ApiHive3ReplicationArguments failoverStatus(String failoverStatus)

    - #### getFailoverStatus

          public String getFailoverStatus()

      Get failoverStatus
      Returns:
        failoverStatus

    - #### setFailoverStatus

          public void setFailoverStatus(String failoverStatus)

    - #### cloudArgs

          public ApiHive3ReplicationArguments cloudArgs(ApiHive3CloudArguments cloudArgs)

    - #### getCloudArgs

          public ApiHive3CloudArguments getCloudArgs()

      Get cloudArgs
      Returns:
        cloudArgs

    - #### setCloudArgs

          public void setCloudArgs(ApiHive3CloudArguments cloudArgs)

    - #### remoteDbParams

          public ApiHive3ReplicationArguments remoteDbParams(String remoteDbParams)

    - #### getRemoteDbParams

          public String getRemoteDbParams()

      Get remoteDbParams
      Returns:
        remoteDbParams

    - #### setRemoteDbParams

          public void setRemoteDbParams(String remoteDbParams)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.